<!DOCTYPE html>
<html lang="en">
<head>
        <meta charset="utf-8" />
        <title>Linux And Chill - Automation</title>
        <link rel="stylesheet" href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/theme/css/main.css" />
        <link href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/feeds/all.atom.xml" type="application/atom+xml" rel="alternate" title="Linux And Chill Atom Feed" />
</head>

<body id="index" class="home">
        <header id="banner" class="body">
                <h1><a href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/">Linux And Chill </a></h1>
                <nav><ul>
                    <li><a href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/category/machine-learning.html">Machine Learning</a></li>
                    <li><a href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/category/system-administration.html">System Administration</a></li>
                </ul></nav>
        </header><!-- /#banner -->

            <aside id="featured" class="body">
                <article>
                    <h1 class="entry-title"><a href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/automating-rhel-7-centos-7-updates-with-yum-cron.html">Automating RHEL 7 / CentOS 7 Updates With yum-cron</a></h1>
<footer class="post-info">
        <abbr class="published" title="2018-04-21T01:39:00-04:00">
                Published: Sat 21 April 2018
        </abbr>

        <address class="vcard author">
                By                         <a class="url fn" href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/author/timothy-pulliam.html">Timothy Pulliam</a>
        </address>
<p>In <a href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/category/system-administration.html">System Administration</a>.</p>
<p>tags: <a href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/tag/automation.html">Automation</a> </p>
</footer><!-- /.post-info --><h2>Overview</h2>
<p>I’m sure by now every one knows about yum-cron. It automatically updates your systems packages, which can be handy if you have to manage lots of systems and you want to make sure the latest security patches have been installed. It’s also pretty straight forward to use. Just be careful not to automatically update systems such as your production web server without testing, as some updates can actually break things. You’ve been warned.</p>
<h3>Installation</h3>
<p>Install the package the usual way</p>
<div class="highlight"><pre><span></span># yum install yum-cron
</pre></div>


<p>Make sure the service is running</p>
<div class="highlight"><pre><span></span># systemctl start yum-cron
# systemctl enable yum-cron
</pre></div>


<h3>Configuration</h3>
<p>There are two configuration files for yum cron. There are also two crontab entries for yum-cron</p>
<div class="highlight"><pre><span></span># rpm -qc yum-cron
/etc/yum/yum-cron-hourly.conf
/etc/yum/yum-cron.conf

# rpm -ql yum-cron
/etc/cron.daily/0yum-daily.cron
/etc/cron.hourly/0yum-hourly.cron
…
…
</pre></div>


<p>The <em>/etc/cron.daily/0yum-daily.cron</em> job reads from the <em>/etc/yum/yum-cron.conf</em> configuration file while the <em>/etc/cron.hourly/0yum-hourly.cron</em> file reads from the <em>/etc/yum/yum-cron-hourly.conf</em> configuration file. The two configuration files are meant to optimize yum-cron depending on whether it runs hourly or daily. If you want to disable hourly checks, you can edit the <em>/etc/cron.hourly/0yum-hourly.cron</em> and comment out the exec line like so</p>
<div class="highlight"><pre><span></span># Action!
# exec /usr/sbin/yum-cron /etc/yum/yum-cron-hourly.conf
</pre></div>


<p>Configuration of /etc/yum/yum-cron.conf is straight forward. The only things you might need to set are</p>
<div class="highlight"><pre><span></span>[commands]
apply_updates = yes
</pre></div>


<p>Otherwise, updates will not actually be applied ;b</p>
<p>You may also want to disable upgrading the kernel itself as this can effect your system in unexpected ways.</p>
<div class="highlight"><pre><span></span>[base]
exclude = kernel*
</pre></div>


<p>yum-cron can also alert you when your system is updated. This can be set via the following options</p>
<div class="highlight"><pre><span></span>[emitters]
system_name = your_hostname
emit_via = email

[email]
email_to = your_email@domain.com
</pre></div>


<p>You will also need to have an MTA like postfix running to be able to send emails.</p>
<div class="highlight"><pre><span></span># yum install postfix
# systemctl start postfix
# systemctl enable postfix
</pre></div>                </article>
            </aside><!-- /#featured -->
        <section id="extras" class="body">
                <div class="blogroll">
                        <h2>links</h2>
                        <ul>
                            <li><a href="http://getpelican.com/">Pelican</a></li>
                            <li><a href="http://python.org/">Python.org</a></li>
                            <li><a href="http://jinja.pocoo.org/">Jinja2</a></li>
                        </ul>
                </div><!-- /.blogroll -->
                <div class="social">
                        <h2>social</h2>
                        <ul>
                            <li><a href="http://linuxandchill.xyz.s3-website.us-east-1.amazonaws.com/feeds/all.atom.xml" type="application/atom+xml" rel="alternate">atom feed</a></li>

                            <li><a href="https://linkedin.com/in/timothy-pulliam">LinkedIn</a></li>
                            <li><a href="https://github.com/Timothy-Pulliam">Github</a></li>
                            <li><a href="https://www.youtube.com/channel/UC0G4YCuFJukeTicFBO6u4-A?view_as=subscriber">YouTube</a></li>
                        </ul>
                </div><!-- /.social -->
        </section><!-- /#extras -->

        <footer id="contentinfo" class="body">
                <address id="about" class="vcard body">
                Proudly powered by <a href="http://getpelican.com/">Pelican</a>, which takes great advantage of <a href="http://python.org">Python</a>.
                </address><!-- /#about -->

                <p>The theme is by <a href="http://coding.smashingmagazine.com/2009/08/04/designing-a-html-5-layout-from-scratch/">Smashing Magazine</a>, thanks!</p>
        </footer><!-- /#contentinfo -->

</body>
</html>